property spriteNum, mySprite, myStandardMember, myRolloverMember

on getBehaviorDescription me
  return "ROLLOVER MEMBER CHANGE" & RETURN & RETURN & "Change the sprite's cast member when the mouse rolls over the sprite." & RETURN & RETURN & "PARAMETERS:" & RETURN & "* Rollover Cast Member"
end

on getBehaviorTooltip me
  return "Use with graphic sprites." & RETURN & RETURN & "Swap a sprite's cast member on rollover."
end

on beginSprite me
  mySprite = sprite(me.spriteNum)
  myStandardMember = mySprite.member
end

on mouseEnter me
  mySprite.member = myRolloverMember
end

on mouseLeave me
  mySprite.member = myStandardMember
end

on getPropertyDescriptionList
  if the currentSpriteNum = 0 then
    exit
  end if
  theMember = sprite(the currentSpriteNum).member
  theMemberNumber = theMember.number
  return [#myRolloverMember: [#comment: "Display which member on rollover?", #format: #graphic, #default: member(theMemberNumber + 1)]]
end
